./textproc/groff, GNU roff text processing suite

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.22.4nb2, Package name: groff-1.22.4nb2, Maintainer: pkgsrc-users

GNU groff document formatting system.
Includes implementations of troff, pic, eqn, tbl, refer, and some
macro packages and drivers (for ps, tex, dvi, lj4, html, and tty).


Required to run:
[print/ghostscript] [print/psutils] [graphics/netpbm] [fonts/urw-fonts]

Required to build:
[pkgtools/x11-links] [pkgtools/cwrappers]

Package options: groff-docs, x11

Master sites: (Expand)

SHA1: 2ce4ab107e3fab1414fef2c5b5312f562a4e4d35
RMD160: 6f0555695ac882a8e1f925cce22f7e3d267188cb
Filesize: 4040.508 KB

Version history: (Expand)


CVS history: (Expand)


   2020-04-03 21:47:00 by Jonathan Perkin | Files touched by this commit (1)
Log message:
groff: Now requires yacc due to ypp patch.
   2020-03-30 21:32:24 by Joerg Sonnenberger | Files touched by this commit (12)
Log message:
Include config.h before stdlib.h before the overwrite for math.h bails
out otherwise.
   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2019-11-04 22:45:56 by Roland Illig | Files touched by this commit (3)
Log message:
textproc: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-11-04 22:43:49 by Roland Illig | Files touched by this commit (155)
Log message:
textproc: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-08-11 15:25:21 by Thomas Klausner | Files touched by this commit (3557) | Package updated
Log message:
Bump PKGREVISIONs for perl 5.30.0
   2019-05-24 18:14:44 by Ryo ONODERA | Files touched by this commit (1) | Package updated
Log message:
It seems that libiconv is not needed. Bump PKGREVISION
   2019-04-01 18:48:37 by Ryo ONODERA | Files touched by this commit (9) | Package updated
Log message:
Update to 1.22.4

Changelog:
VERSION 1.22.4
==============

Troff
-----

o The `hy' request has been extended.  Value 16 enables hyphenation before
  the last character, and value 32 enables hyphenation after the first
  character.

PDFPIC
------

o PDFPIC has been corrected so the behaviour is the same whether you use the
  PostScript or PDF drivers.  However, this means that any documents which
  were written using the old behaviour will not be rendered correctly if
  using the PDF driver with the new version.

  The change would mean that documents which relied on the previous
  behaviour are likely to have a gap underneath the image which was not
  there before.  If you see this effect there are three ways you can restore
  the previous behaviour:

  Add the line ".nr PDFPIC_NOSPACE 1" to the document before the first call
  to .PDFPIC.

  If it is just a single document which exhibits this behaviour you can run
  groff adding "-rPDFPIC_NOSPACE=1" to the command line.

  If you have many documents which rely on the previous behaviour you can
  set an environment variable "export GROFF_PDFPIC_NOSPACE=1" which will
  restore the previous behaviour for all runs.

  Note that this change has no effect if you were using .PDFPIC with the
  PostScript driver--only if you used it with the PDF driver.

Gropdf
------

o Type 1 font loading is fixed to handle newer Ghostscript versions.

o Handling of glyphs above position 255 is improved to allow many more
  glyphs to be used.

o New macros .pdftransition and .pdfpause are introduced to allow creation
  of presentation slides.  Partially backward-compatible with present.tmac,
  specifically the PAUSE, BLOCKS and BLOCKE commands.  Supports all the
  transition types introduced in PDF v1.5 (see the gropdf man page).

Miscellaneous
-------------

o A new 'configure' option --with-compatibility-wrappers controls how groff
  compatibility wrappers for vendor-provided non-GNU macro sets are
  installed (see ./configure --help).

o eqn2graph, grap2graph, and pic2graph now attempt to adapt to very old
  installed versions of the ImageMagick and GraphicsMagick programs
  "convert".  They search the output of convert's "-help" \ 
option, and use
  "-trim" if that string is found; otherwise, the old "-crop \ 
0x0" method
  (which produces incompatible results on versions that _do_ support
  "-trim") is used.  The programs emit a warning to standard error if the
  search fails and the old method is used.

o eqn2graph no longer supports the "-unsafe" option.  It did nothing.

o groffer now supports the output of XHTML.  Use the "--xhtml" or
  "--mode=xhtml" command-line options to generate it.

o Much work has been done, and is ongoing, to make groff's man pages better
  examples for man page writers to follow.  groff_man(7) itself has been
  expanded and largely rewritten to more precisely document the macro
  package's behavior and to be more helpful and accessible to man page
  writers who may never read any other groff documentation.